<?php
/**
 * @file
 * clameurs.features.inc
 */

/**
 * Implements hook_default_cer().
 */
function clameurs_default_cer() {
  $items = array();
  $items['node:documentair:field_thematique*node:thematique:field_eclairages'] = entity_import('cer', '{
    "cer_bidirectional" : { "und" : [ { "value" : "1" } ] },
    "cer_enabled" : { "und" : [ { "value" : "1" } ] },
    "cer_left" : { "und" : [ { "path" : "node:documentair:field_thematique" } ] },
    "cer_right" : { "und" : [ { "path" : "node:thematique:field_eclairages" } ] },
    "cer_weight" : { "und" : [ { "value" : "0" } ] },
    "identifier" : "node:documentair:field_thematique*node:thematique:field_eclairages"
  }');
  $items['node:thematique:field_episodes*node:episode:field_thematique'] = entity_import('cer', '{
    "cer_bidirectional" : { "und" : [ { "value" : "1" } ] },
    "cer_enabled" : { "und" : [ { "value" : "1" } ] },
    "cer_left" : { "und" : [ { "path" : "node:thematique:field_episodes" } ] },
    "cer_right" : { "und" : [ { "path" : "node:episode:field_thematique" } ] },
    "cer_weight" : { "und" : [ { "value" : "0" } ] },
    "identifier" : "node:thematique:field_episodes*node:episode:field_thematique"
  }');
  return $items;
}

/**
 * Implements hook_ctools_plugin_api().
 */
function clameurs_ctools_plugin_api($module = NULL, $api = NULL) {
  if ($module == "field_group" && $api == "field_group") {
    return array("version" => "1");
  }
  if ($module == "page_manager" && $api == "pages_default") {
    return array("version" => "1");
  }
  if ($module == "panels_mini" && $api == "panels_default") {
    return array("version" => "1");
  }
  if ($module == "strongarm" && $api == "strongarm") {
    return array("version" => "1");
  }
  if ($module == "video_embed_field" && $api == "default_video_embed_styles") {
    return array("version" => "1");
  }
}

/**
 * Implements hook_image_default_styles().
 */
function clameurs_image_default_styles() {
  $styles = array();

  // Exported image style: video_thumb_docu.
  $styles['video_thumb_docu'] = array(
    'label' => 'video_thumb_docu',
    'effects' => array(
      1 => array(
        'name' => 'image_scale_and_crop',
        'data' => array(
          'width' => 300,
          'height' => 160,
        ),
        'weight' => -9,
      ),
    ),
  );

  // Exported image style: video_thumb_episode.
  $styles['video_thumb_episode'] = array(
    'label' => 'video_thumb_episode',
    'effects' => array(
      14 => array(
        'name' => 'image_scale_and_crop',
        'data' => array(
          'width' => 200,
          'height' => 111,
        ),
        'weight' => -9,
      ),
    ),
  );

  // Exported image style: video_thumb_themat.
  $styles['video_thumb_themat'] = array(
    'label' => 'video_thumb_themat',
    'effects' => array(
      3 => array(
        'name' => 'image_scale_and_crop',
        'data' => array(
          'width' => 760,
          'height' => 428,
        ),
        'weight' => -9,
      ),
    ),
  );

  return $styles;
}

/**
 * Implements hook_node_info().
 */
function clameurs_node_info() {
  $items = array(
    'documentair' => array(
      'name' => t('Documentaire'),
      'base' => 'node_content',
      'description' => '',
      'has_title' => '1',
      'title_label' => t('Titre'),
      'help' => '',
    ),
    'episode' => array(
      'name' => t('Épisode'),
      'base' => 'node_content',
      'description' => '',
      'has_title' => '1',
      'title_label' => t('Titre'),
      'help' => '',
    ),
    'thematique' => array(
      'name' => t('Thematique'),
      'base' => 'node_content',
      'description' => '',
      'has_title' => '1',
      'title_label' => t('Titre'),
      'help' => '',
    ),
  );
  drupal_alter('node_info', $items);
  return $items;
}
