<?php
/**
 * @file
 * clameurs.field_group.inc
 */

/**
 * Implements hook_field_group_info().
 */
function clameurs_field_group_info() {
  $field_groups = array();

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_body|node|thematique|teaser';
  $field_group->group_name = 'group_body';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'thematique';
  $field_group->mode = 'teaser';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Body',
    'weight' => '0',
    'children' => array(
      0 => 'body',
    ),
    'format_type' => 'html5',
    'format_settings' => array(
      'label' => 'Body',
      'instance_settings' => array(
        'id' => '',
        'classes' => 'group-body field-group-html5',
        'wrapper' => 'section',
      ),
    ),
  );
  $field_groups['group_body|node|thematique|teaser'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_bottom|node|thematique|accueil';
  $field_group->group_name = 'group_bottom';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'thematique';
  $field_group->mode = 'accueil';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'bottom',
    'weight' => '2',
    'children' => array(
      0 => 'field_episodes',
    ),
    'format_type' => 'html5',
    'format_settings' => array(
      'label' => 'bottom',
      'instance_settings' => array(
        'id' => '',
        'classes' => 'bottom',
        'wrapper' => 'aside',
      ),
    ),
  );
  $field_groups['group_bottom|node|thematique|accueil'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_description|node|thematique|accueil';
  $field_group->group_name = 'group_description';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'thematique';
  $field_group->mode = 'accueil';
  $field_group->parent_name = 'group_video';
  $field_group->data = array(
    'label' => 'description',
    'weight' => '9',
    'children' => array(
      0 => 'field_description',
      1 => 'field_ecouter',
    ),
    'format_type' => 'div',
    'format_settings' => array(
      'label' => 'description',
      'instance_settings' => array(
        'id' => '',
        'classes' => 'group-description field-group-div',
        'description' => '',
        'show_label' => '0',
        'label_element' => 'h3',
        'effect' => 'none',
        'speed' => 'fast',
      ),
      'formatter' => 'open',
    ),
  );
  $field_groups['group_description|node|thematique|accueil'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_eclairage|node|thematique|form';
  $field_group->group_name = 'group_eclairage';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'thematique';
  $field_group->mode = 'form';
  $field_group->parent_name = 'group_htabs';
  $field_group->data = array(
    'label' => 'Éclairages',
    'weight' => '108',
    'children' => array(
      0 => 'field_eclairages',
    ),
    'format_type' => 'htab',
    'format_settings' => array(
      'label' => 'Éclairages',
      'instance_settings' => array(
        'required_fields' => 1,
        'classes' => 'group-eclairage field-group-htab',
        'description' => '',
      ),
      'formatter' => 'closed',
    ),
  );
  $field_groups['group_eclairage|node|thematique|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_episodes|node|thematique|form';
  $field_group->group_name = 'group_episodes';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'thematique';
  $field_group->mode = 'form';
  $field_group->parent_name = 'group_htabs';
  $field_group->data = array(
    'label' => 'Épisodes',
    'weight' => '107',
    'children' => array(
      0 => 'field_episodes',
    ),
    'format_type' => 'htab',
    'format_settings' => array(
      'formatter' => 'closed',
      'instance_settings' => array(
        'description' => '',
        'classes' => 'group-episodes field-group-htab',
        'required_fields' => 1,
        'id' => '',
      ),
    ),
  );
  $field_groups['group_episodes|node|thematique|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_htabs|node|documentair|form';
  $field_group->group_name = 'group_htabs';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'documentair';
  $field_group->mode = 'form';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'htabs',
    'weight' => '3',
    'children' => array(
      0 => 'group_video',
    ),
    'format_type' => 'htabs',
    'format_settings' => array(
      'formatter' => '',
      'instance_settings' => array(
        'classes' => 'group-htabs field-group-htabs',
      ),
    ),
  );
  $field_groups['group_htabs|node|documentair|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_htabs|node|episode|form';
  $field_group->group_name = 'group_htabs';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'episode';
  $field_group->mode = 'form';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'htabs',
    'weight' => '3',
    'children' => array(
      0 => 'group_video',
    ),
    'format_type' => 'htabs',
    'format_settings' => array(
      'formatter' => '',
      'instance_settings' => array(
        'classes' => 'group-htabs field-group-htabs',
      ),
    ),
  );
  $field_groups['group_htabs|node|episode|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_htabs|node|thematique|form';
  $field_group->group_name = 'group_htabs';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'thematique';
  $field_group->mode = 'form';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'htabs',
    'weight' => '2',
    'children' => array(
      0 => 'group_eclairage',
      1 => 'group_episodes',
      2 => 'group_texte',
      3 => 'group_video',
    ),
    'format_type' => 'htabs',
    'format_settings' => array(
      'formatter' => '',
      'instance_settings' => array(
        'classes' => 'group-htabs field-group-htabs',
      ),
    ),
  );
  $field_groups['group_htabs|node|thematique|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_main|node|thematique|accueil';
  $field_group->group_name = 'group_main';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'thematique';
  $field_group->mode = 'accueil';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'main',
    'weight' => '0',
    'children' => array(
      0 => 'group_txt',
      1 => 'group_video',
    ),
    'format_type' => 'html5',
    'format_settings' => array(
      'label' => 'main',
      'instance_settings' => array(
        'id' => '',
        'classes' => 'main',
        'wrapper' => 'article',
      ),
    ),
  );
  $field_groups['group_main|node|thematique|accueil'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_main|node|thematique|attente';
  $field_group->group_name = 'group_main';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'thematique';
  $field_group->mode = 'attente';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'main',
    'weight' => '0',
    'children' => array(
      0 => 'body',
    ),
    'format_type' => 'html5',
    'format_settings' => array(
      'label' => 'main',
      'instance_settings' => array(
        'id' => '',
        'classes' => 'main',
        'wrapper' => 'article',
      ),
    ),
  );
  $field_groups['group_main|node|thematique|attente'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_right|node|thematique|accueil';
  $field_group->group_name = 'group_right';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'thematique';
  $field_group->mode = 'accueil';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'right',
    'weight' => '1',
    'children' => array(
      0 => 'field_eclairages',
    ),
    'format_type' => 'html5',
    'format_settings' => array(
      'label' => 'right',
      'instance_settings' => array(
        'id' => '',
        'classes' => 'right',
        'wrapper' => 'aside',
      ),
    ),
  );
  $field_groups['group_right|node|thematique|accueil'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = TRUE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_texte|node|documentair|form';
  $field_group->group_name = 'group_texte';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'documentair';
  $field_group->mode = 'form';
  $field_group->parent_name = 'group_htabs';
  $field_group->data = array(
    'label' => 'Texte',
    'weight' => '4',
    'children' => array(
      0 => 'body',
    ),
    'format_type' => 'htab',
    'format_settings' => array(
      'formatter' => 'closed',
      'instance_settings' => array(
        'description' => '',
        'classes' => 'group-texte field-group-htab',
        'required_fields' => 1,
        'id' => '',
      ),
    ),
  );
  $field_groups['group_texte|node|documentair|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = TRUE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_texte|node|episode|form';
  $field_group->group_name = 'group_texte';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'episode';
  $field_group->mode = 'form';
  $field_group->parent_name = 'group_htabs';
  $field_group->data = array(
    'label' => 'Texte',
    'weight' => '9',
    'children' => array(
      0 => 'body',
    ),
    'format_type' => 'htab',
    'format_settings' => array(
      'formatter' => 'closed',
      'instance_settings' => array(
        'description' => '',
        'classes' => 'group-texte field-group-htab',
        'required_fields' => 1,
        'id' => '',
      ),
    ),
  );
  $field_groups['group_texte|node|episode|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_texte|node|thematique|form';
  $field_group->group_name = 'group_texte';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'thematique';
  $field_group->mode = 'form';
  $field_group->parent_name = 'group_htabs';
  $field_group->data = array(
    'label' => 'Texte',
    'weight' => '105',
    'children' => array(
      0 => 'body',
    ),
    'format_type' => 'fieldset',
    'format_settings' => array(
      'formatter' => 'collapsible',
      'instance_settings' => array(
        'description' => '',
        'classes' => 'group-texte field-group-fieldset',
        'required_fields' => 1,
      ),
    ),
  );
  $field_groups['group_texte|node|thematique|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_txt|node|documentair|accueil';
  $field_group->group_name = 'group_txt';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'documentair';
  $field_group->mode = 'accueil';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'txt',
    'weight' => '1',
    'children' => array(
      0 => 'field_doc',
      1 => 'title_field',
    ),
    'format_type' => 'div',
    'format_settings' => array(
      'label' => 'txt',
      'instance_settings' => array(
        'id' => '',
        'classes' => 'group-txt field-group-div',
        'description' => '',
        'show_label' => '0',
        'label_element' => 'h3',
        'effect' => 'none',
        'speed' => 'fast',
      ),
      'formatter' => 'open',
    ),
  );
  $field_groups['group_txt|node|documentair|accueil'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_txt|node|episode|accueil';
  $field_group->group_name = 'group_txt';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'episode';
  $field_group->mode = 'accueil';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'txt',
    'weight' => '1',
    'children' => array(
      0 => 'title_field',
    ),
    'format_type' => 'div',
    'format_settings' => array(
      'label' => 'txt',
      'instance_settings' => array(
        'id' => '',
        'classes' => 'group-txt field-group-div',
        'description' => '',
        'show_label' => '0',
        'label_element' => 'h3',
        'effect' => 'none',
        'speed' => 'fast',
      ),
      'formatter' => 'open',
    ),
  );
  $field_groups['group_txt|node|episode|accueil'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_txt|node|thematique|accueil';
  $field_group->group_name = 'group_txt';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'thematique';
  $field_group->mode = 'accueil';
  $field_group->parent_name = 'group_main';
  $field_group->data = array(
    'label' => 'txt',
    'weight' => '1',
    'children' => array(
      0 => 'body',
    ),
    'format_type' => 'div',
    'format_settings' => array(
      'label' => 'txt',
      'instance_settings' => array(
        'id' => '',
        'classes' => 'group-txt field-group-div',
        'description' => '',
        'show_label' => '0',
        'label_element' => 'h3',
        'effect' => 'none',
        'speed' => 'fast',
      ),
      'formatter' => 'open',
    ),
  );
  $field_groups['group_txt|node|thematique|accueil'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_video|node|documentair|accueil';
  $field_group->group_name = 'group_video';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'documentair';
  $field_group->mode = 'accueil';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'video',
    'weight' => '2',
    'children' => array(
      0 => 'field_emvideo',
    ),
    'format_type' => 'div',
    'format_settings' => array(
      'label' => 'video',
      'instance_settings' => array(
        'id' => '',
        'classes' => 'group-video field-group-div',
        'description' => '',
        'show_label' => '0',
        'label_element' => 'h3',
        'effect' => 'none',
        'speed' => 'fast',
      ),
      'formatter' => 'open',
    ),
  );
  $field_groups['group_video|node|documentair|accueil'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_video|node|documentair|form';
  $field_group->group_name = 'group_video';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'documentair';
  $field_group->mode = 'form';
  $field_group->parent_name = 'group_htabs';
  $field_group->data = array(
    'label' => 'Video',
    'weight' => '5',
    'children' => array(
      0 => 'field_emvideo',
      1 => 'field_vignette',
    ),
    'format_type' => 'htab',
    'format_settings' => array(
      'formatter' => 'closed',
      'instance_settings' => array(
        'description' => '',
        'classes' => 'group-video field-group-htab',
        'required_fields' => 1,
        'id' => '',
      ),
    ),
  );
  $field_groups['group_video|node|documentair|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_video|node|episode|accueil';
  $field_group->group_name = 'group_video';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'episode';
  $field_group->mode = 'accueil';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'Video',
    'weight' => '2',
    'children' => array(
      0 => 'field_emvideo',
    ),
    'format_type' => 'div',
    'format_settings' => array(
      'label' => 'Video',
      'instance_settings' => array(
        'id' => '',
        'classes' => 'group-video field-group-div',
        'description' => '',
        'show_label' => '0',
        'label_element' => 'h3',
        'effect' => 'none',
        'speed' => 'fast',
      ),
      'formatter' => 'open',
    ),
  );
  $field_groups['group_video|node|episode|accueil'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_video|node|episode|form';
  $field_group->group_name = 'group_video';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'episode';
  $field_group->mode = 'form';
  $field_group->parent_name = 'group_htabs';
  $field_group->data = array(
    'label' => 'Video',
    'weight' => '10',
    'children' => array(
      0 => 'field_emvideo',
      1 => 'field_vignette',
    ),
    'format_type' => 'htab',
    'format_settings' => array(
      'formatter' => 'closed',
      'instance_settings' => array(
        'description' => '',
        'classes' => 'group-video field-group-htab',
        'required_fields' => 1,
        'id' => '',
      ),
    ),
  );
  $field_groups['group_video|node|episode|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_video|node|thematique|accueil';
  $field_group->group_name = 'group_video';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'thematique';
  $field_group->mode = 'accueil';
  $field_group->parent_name = 'group_main';
  $field_group->data = array(
    'label' => 'video',
    'weight' => '2',
    'children' => array(
      0 => 'field_emvideo',
      1 => 'group_description',
    ),
    'format_type' => 'div',
    'format_settings' => array(
      'label' => 'video',
      'instance_settings' => array(
        'id' => '',
        'classes' => 'group-video field-group-div',
        'description' => '',
        'show_label' => '0',
        'label_element' => 'h3',
        'effect' => 'none',
        'speed' => 'fast',
      ),
      'formatter' => 'open',
    ),
  );
  $field_groups['group_video|node|thematique|accueil'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_video|node|thematique|form';
  $field_group->group_name = 'group_video';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'thematique';
  $field_group->mode = 'form';
  $field_group->parent_name = 'group_htabs';
  $field_group->data = array(
    'label' => 'Video',
    'weight' => '106',
    'children' => array(
      0 => 'field_description',
      1 => 'field_emvideo',
      2 => 'field_vignette',
    ),
    'format_type' => 'htab',
    'format_settings' => array(
      'formatter' => 'closed',
      'instance_settings' => array(
        'description' => '',
        'classes' => 'group-video field-group-htab',
        'required_fields' => 1,
        'id' => '',
      ),
    ),
  );
  $field_groups['group_video|node|thematique|form'] = $field_group;

  $field_group = new stdClass();
  $field_group->disabled = FALSE; /* Edit this to true to make a default field_group disabled initially */
  $field_group->api_version = 1;
  $field_group->identifier = 'group_video|node|thematique|teaser';
  $field_group->group_name = 'group_video';
  $field_group->entity_type = 'node';
  $field_group->bundle = 'thematique';
  $field_group->mode = 'teaser';
  $field_group->parent_name = '';
  $field_group->data = array(
    'label' => 'video',
    'weight' => '1',
    'children' => array(
      0 => 'field_description',
      1 => 'field_emvideo',
    ),
    'format_type' => 'html5',
    'format_settings' => array(
      'formatter' => '',
      'instance_settings' => array(
        'wrapper' => '',
        'classes' => 'group-video field-group-html5',
        'id' => '',
      ),
    ),
  );
  $field_groups['group_video|node|thematique|teaser'] = $field_group;

  // Translatables
  // Included for use with string extractors like potx.
  t('Body');
  t('Texte');
  t('Video');
  t('bottom');
  t('description');
  t('htabs');
  t('main');
  t('right');
  t('txt');
  t('video');
  t('Éclairages');
  t('Épisodes');

  return $field_groups;
}
